forrest-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From an...@tehila.gov.il
Subject Re: forrest 0.5 wouldn't run
Date Wed, 17 Sep 2003 07:32:18 GMT
On Wed, Sep 17, 2003 at 12:03:48AM -0700, Jeff Turner wrote:
> On Wed, Sep 17, 2003 at 09:50:00AM +0300, Andre wrote:
> > Hello guys,
> > 
> > I'm unable to run forrest 0.5.  Trying to run "forrest seed" in an empty
> > directory I get the following message:
> > 
> > ===========================
> > 
> > Apache Forrest.  Run 'forrest -projecthelp' to list options
> > 
> > Buildfile:
> > /usr/local/java/apache-forrest-0.5-bin/bin/../forrest.build.xml
> > 
> > BUILD FAILED
> > file:/usr/local/java/apache-forrest-0.5-bin/bin/../forrest.build.xml:837:
> > The <xmlcatalog> data type doesn't support the nested "catalogpath"
> > element.
> 
> That would happen if Forrest were somehow using an existing Ant 1.5
> install on your box, instead of the Ant 1.6 that comes with Forrest.
> Typing 'forrest -version' should return:
> 
> Apache Ant version 1.6alpha compiled on May 26 2003
> 
> Do you have an ANT_HOME environment variable set?  The 'forrest' script
> does try to unset it and use its own, so I'm not sure why this would
> happen.

Well, ant seems to be the problem.  I have ant 1.5.4 from the JPackage
repository.  ANT_HOME environment variable is not set, however, the
"ant" script is in the path.  When I removed the ant packages, forrest
started to work.

This takes me one step forward, but I would like to know, how can I have
both JPackage ant and forrest on the same machine.

Regards,

Andre.
 
> --Jeff
> 
> > Total time: 2 seconds
> > 
> > ===========================
> > 
> > System: RH 9
> > 
> > java -version:
> > java version "1.4.2_01"
> > Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2_01-b06)
> > Java HotSpot(TM) Client VM (build 1.4.2_01-b06, mixed mode)
> > 
> > Any help appreciated.
> > 
> > Regards,
> > 
> > Andre.
> > 


Mime
View raw message